function [pre_R, rec_R, pre_AV, rec_AV, pre_BW, rec_BW, pre_SG, rec_SG, pre_RBW, rec_RBW, pre_LH, rec_LH] = FillersizeExperiments_MLP
load dMLP;
load targetItemsList_push;
load targetItemsList_nuke;
qp = targetItemsList_push';
qn = targetItemsList_nuke';

cd R_Push
d = dir('*.mat');
for k=1:length(d)
    fname=d(k).name;
    load(fname);
end
cd ..;

cd AV_Push
d = dir('*.mat');
for k=1:length(d)
    fname=d(k).name;
    load(fname);
end
cd ..;

cd BW_Push
d = dir('*.mat');
for k=1:length(d)
    fname=d(k).name;
    load(fname);
end
cd ..;

cd RBW_Nuke
d = dir('*.mat');
for k=1:length(d)
    fname=d(k).name;
    load(fname);
end
cd ..;

cd LH_Nuke
d = dir('*.mat');
for k=1:length(d)
    fname=d(k).name;
    load(fname);
end
cd ..;

cd SG_Push
d = dir('*.mat');
for k=1:length(d)
    fname=d(k).name;
    load(fname);
end
cd ..;

attackSize = 15;
shillprofilesize = ceil((1000*attackSize)/100);
%fillerSize = [10];
fillerSize = [5 10 15 25 50];

load dMLP;
k=12;


for j=1:size(fillerSize,2)
    fs = fillerSize(j);
    fs

    for itemid=1:size(qp,2)
        fprintf('Filler_size_push_item=%d\n',itemid);
        targetItem=qp(itemid);

        eval(['shillingProfiles = R_' num2str(itemid) '_' num2str(fs) ';']);
        fprintf('R Attack\n');
        % shillingProfiles=shillingProfiles(1:50,:);
        dMLP2=[dMLP;shillingProfiles];
        trainUsers = dMLP2;
        for i=1:k
            eval(['Cluster_' num2str(i) '=[];']);
            eval(['Clusterindex_' num2str(i) '=[];']);
        end
        [IDX, C] = Ant_Clustering(trainUsers,k); 
        IDX=IDX';
        for i=1:size(IDX,1)
            eval(['Cluster_' num2str(IDX(i,1)) '= [Cluster_' num2str(IDX(i,1)) '; trainUsers(i,:)];']);
            eval(['Clusterindex_' num2str(IDX(i,1)) '(' num2str(i) ',' num2str(1) ')=' num2str(i) ';']);
        end

        for i=1:size(C,1)
            eval(['activeCluster = Cluster_' num2str(i) ';']);
            
            simC(i)=Compute_Degsim(activeCluster,targetItem);
        end

        [maxv,mindex]=max(simC);
        targetClusterindex=[];
        eval(['targetCluster = Cluster_' num2str(mindex) ';']);
        eval(['targetClusterindex = Clusterindex_' num2str(mindex) ';']);
     
        indexOfRatings = targetClusterindex(:,1)~=0;
        targetClusterindex=targetClusterindex(indexOfRatings);
        shillp=find(targetClusterindex(:,1)>943);
        realprofile_false=find(targetClusterindex(:,1)<943);
        shillp_false=shillprofilesize-size(shillp,1);
        precision_R(1,itemid)=size(shillp,1)/(size(shillp,1)+size(realprofile_false,1));
        recall_R(1,itemid)=size(shillp,1)/(size(shillp,1)+shillp_false);


        %Bandwagon Attack
        fprintf('BW Attack\n');
        eval(['shillingProfiles = BW_' num2str(itemid) '_' num2str(fs) ';']);
        dMLP2=[dMLP;shillingProfiles];
        trainUsers = dMLP2;
        for i=1:k
            eval(['Cluster_' num2str(i) '=[];']);
            eval(['Clusterindex_' num2str(i) '=[];']);
        end
        [IDX, C] = Ant_Clustering(trainUsers,k);
        IDX=IDX';
        for i=1:size(IDX,1)
            eval(['Cluster_' num2str(IDX(i,1)) '= [Cluster_' num2str(IDX(i,1)) '; trainUsers(i,:)];']);
            eval(['Clusterindex_' num2str(IDX(i,1)) '(' num2str(i) ',' num2str(1) ')=' num2str(i) ';']);
        end

        for i=1:size(C,1)
            eval(['activeCluster = Cluster_' num2str(i) ';']);
                      simC(i)=Compute_Degsim(activeCluster,targetItem);
        end
        [maxv,mindex]=max(simC);
        targetClusterindex=[];
        eval(['targetCluster = Cluster_' num2str(mindex) ';']);
        eval(['targetClusterindex = Clusterindex_' num2str(mindex) ';']);
   
        indexOfRatings = targetClusterindex(:,1)~=0;
        targetClusterindex=targetClusterindex(indexOfRatings);
        shillp=find(targetClusterindex(:,1)>943);
        realprofile_false=find(targetClusterindex(:,1)<943);
        shillp_false=shillprofilesize-size(shillp,1);
        precision_BW(1,itemid)=size(shillp,1)/(size(shillp,1)+size(realprofile_false,1));
        recall_BW(1,itemid)=size(shillp,1)/(size(shillp,1)+shillp_false);

        %AV attack
        fprintf('AV Attack\n');
        eval(['shillingProfiles = AV_' num2str(itemid) '_' num2str(fs) ';']);
        dMLP2=[dMLP;shillingProfiles];
        trainUsers = dMLP2;
        for i=1:k
            eval(['Cluster_' num2str(i) '=[];']);
            eval(['Clusterindex_' num2str(i) '=[];']);
        end
        [IDX, C] = Ant_Clustering(trainUsers,k);
        IDX=IDX';
        for i=1:size(IDX,1)
            eval(['Cluster_' num2str(IDX(i,1)) '= [Cluster_' num2str(IDX(i,1)) '; trainUsers(i,:)];']);
            eval(['Clusterindex_' num2str(IDX(i,1)) '(' num2str(i) ',' num2str(1) ')=' num2str(i) ';']);

        end

        for i=1:size(C,1)
            eval(['activeCluster = Cluster_' num2str(i) ';']);
            simC(i)=Compute_Degsim(activeCluster,targetItem);
        end
        [maxv,mindex]=max(simC);
        targetClusterindex=[];
        eval(['targetCluster = Cluster_' num2str(mindex) ';']);
        eval(['targetClusterindex = Clusterindex_' num2str(mindex) ';']);
      
        indexOfRatings = targetClusterindex(:,1)~=0;
        targetClusterindex=targetClusterindex(indexOfRatings);
        shillp=find(targetClusterindex(:,1)>943);
        realprofile_false=find(targetClusterindex(:,1)<943);
        shillp_false=shillprofilesize-size(shillp,1);
        precision_AV(1,itemid)=size(shillp,1)/(size(shillp,1)+size(realprofile_false,1));
        recall_AV(1,itemid)=size(shillp,1)/(size(shillp,1)+shillp_false);

        %Segment Attack %%%%%%%%%%%%%%%
        fprintf('SG Attack\n');
        eval(['shillingProfiles = SG_' num2str(itemid) '_' num2str(fs) ';']);
        dMLP2=[dMLP;shillingProfiles];
        trainUsers = dMLP2;
        for i=1:k
            eval(['Cluster_' num2str(i) '=[];']);
            eval(['Clusterindex_' num2str(i) '=[];']);
        end
        [IDX, C] = Ant_Clustering(trainUsers,k);
        IDX=IDX';
        for i=1:size(IDX,1)
            eval(['Cluster_' num2str(IDX(i,1)) '= [Cluster_' num2str(IDX(i,1)) '; trainUsers(i,:)];']);
            eval(['Clusterindex_' num2str(IDX(i,1)) '(' num2str(i) ',' num2str(1) ')=' num2str(i) ';']);
        end

        for i=1:size(C,1)
            eval(['activeCluster = Cluster_' num2str(i) ';']);
           
            simC(i)=Compute_Degsim(activeCluster,targetItem);
        end
        [maxv,mindex]=max(simC);
        targetClusterindex=[];
        eval(['targetCluster = Cluster_' num2str(mindex) ';']);
        eval(['targetClusterindex = Clusterindex_' num2str(mindex) ';']);


        indexOfRatings = targetClusterindex(:,1)~=0;
        targetClusterindex=targetClusterindex(indexOfRatings);
        shillp=find(targetClusterindex(:,1)>943);
        realprofile_false=find(targetClusterindex(:,1)<943);
        shillp_false=shillprofilesize-size(shillp,1);
        precision_SG(1,itemid)=size(shillp,1)/(size(shillp,1)+size(realprofile_false,1));
        recall_SG(1,itemid)=size(shillp,1)/(size(shillp,1)+shillp_false);




    end
    %%% Nuke Attack


    for itemid=1:size(qn,2)
        %itemid
        targetItem=qn(itemid);
        fprintf('Filler_size_nuke_item=%d\n',itemid);
        %AV attack
        fprintf('RBW Attack\n');
        eval(['shillingProfiles = RBW_' num2str(itemid) '_' num2str(fs) ';']);
        dMLP2=[dMLP;shillingProfiles];
        trainUsers = dMLP2;
        for i=1:k
            eval(['Cluster_' num2str(i) '=[];']);
            eval(['Clusterindex_' num2str(i) '=[];']);
        end
        [IDX, C] = Ant_Clustering(trainUsers,k);
        IDX=IDX';
        for i=1:size(IDX,1)
            eval(['Cluster_' num2str(IDX(i,1)) '= [Cluster_' num2str(IDX(i,1)) '; trainUsers(i,:)];']);
            eval(['Clusterindex_' num2str(IDX(i,1)) '(' num2str(i) ',' num2str(1) ')=' num2str(i) ';']);
        end

        for i=1:size(C,1)
            eval(['activeCluster = Cluster_' num2str(i) ';']);
          
            simC(i)=Compute_Degsim(activeCluster,targetItem);
        end
        [maxv,mindex]=max(simC);
        targetClusterindex=[];
        eval(['targetCluster = Cluster_' num2str(mindex) ';']);
        eval(['targetClusterindex = Clusterindex_' num2str(mindex) ';']);
        indexOfRatings = targetClusterindex(:,1)~=0;
        targetClusterindex=targetClusterindex(indexOfRatings);
        shillp=find(targetClusterindex(:,1)>943);
        realprofile_false=find(targetClusterindex(:,1)<943);
        shillp_false=shillprofilesize-size(shillp,1);
        precision_RBW(1,itemid)=size(shillp,1)/(size(shillp,1)+size(realprofile_false,1));
        recall_RBW(1,itemid)=size(shillp,1)/(size(shillp,1)+shillp_false);

        %Love Hate attack
        fprintf('LH Attack\n');
        eval(['shillingProfiles = LH_' num2str(itemid) '_' num2str(fs) ';']);
        dMLP2=[dMLP;shillingProfiles];
        trainUsers = dMLP2;
        for i=1:k
            eval(['Cluster_' num2str(i) '=[];']);
            eval(['Clusterindex_' num2str(i) '=[];']);
        end
        [IDX, C] = Ant_Clustering(trainUsers,k);
        IDX=IDX';
        for i=1:size(IDX,1)
            eval(['Cluster_' num2str(IDX(i,1)) '= [Cluster_' num2str(IDX(i,1)) '; trainUsers(i,:)];']);
            eval(['Clusterindex_' num2str(IDX(i,1)) '(' num2str(i) ',' num2str(1) ')=' num2str(i) ';']);
        end

        for i=1:size(C,1)
            eval(['activeCluster = Cluster_' num2str(i) ';']);
            
            simC(i)=Compute_Degsim(activeCluster,targetItem);
        end
        [maxv,mindex]=max(simC);
        targetClusterindex=[];
        eval(['targetCluster = Cluster_' num2str(mindex) ';']);
        eval(['targetClusterindex = Clusterindex_' num2str(mindex) ';']);
        indexOfRatings = targetClusterindex(:,1)~=0;
        targetClusterindex=targetClusterindex(indexOfRatings);
        shillp=find(targetClusterindex(:,1)>943);
        realprofile_false=find(targetClusterindex(:,1)<943);
        shillp_false=shillprofilesize-size(shillp,1);
        precision_LH(1,itemid)=size(shillp,1)/(size(shillp,1)+size(realprofile_false,1));
        recall_LH(1,itemid)=size(shillp,1)/(size(shillp,1)+shillp_false);

    end


    pre_R(1,j)= mean(precision_R(1,:));
    rec_R(1,j)=mean(recall_R(1,:));
    pre_AV(1,j)= mean(precision_AV(1,:));
    rec_AV(1,j)=mean(recall_AV(1,:));

    pre_BW(1,j)= mean(precision_BW(1,:));
    rec_BW(1,j)=mean(recall_BW(1,:));

    pre_SG(1,j)= mean(precision_SG(1,:));
    rec_SG(1,j)=mean(recall_SG(1,:));

    pre_RBW(1,j)= mean(precision_RBW(1,:));
    rec_RBW(1,j)=mean(recall_RBW(1,:));

    pre_LH(1,j)= mean(precision_LH(1,:));
    rec_LH(1,j)=mean(recall_LH(1,:));
end


end



