function Make
% Steps
% 1. Disguise dataset with sigma=2 and beta=25
% 2. Generate attack profiles relying on disguised dataset
% 3. Produce predictions to test Fillersize
% 4. Produce predictions to test Attacksize
% 5. Parameters to test are as follows:
%       - Filler Size [3 5 10 15 25]
%       - Attack Size [1 3 6 10 15]


trials = 5;
sigmamax = 0.25;
betamax = 25;





for i=1:trials
    i

     HideData(betamax, sigmamax);
    CreateAttackProfiles;

    [R_FS_pre(i,:),R_FS_rec(i,:), AV_FS_pre(i,:),AV_FS_rec(i,:), BW_FS_pre(i,:), BW_FS_rec(i,:), SG_FS_pre(i,:), SG_FS_rec(i,:), RBW_FS_pre(i,:), RBW_FS_rec(i,:),LH_FS_pre(i,:),LH_FS_rec(i,:)]=FillersizeExperiments_JESTER;
    [R_AS_pre(i,:),R_AS_rec(i,:), AV_AS_pre(i,:),AV_AS_rec(i,:), BW_AS_pre(i,:), BW_AS_rec(i,:), SG_AS_pre(i,:), SG_AS_rec(i,:), RBW_AS_pre(i,:), RBW_AS_rec(i,:),LH_AS_pre(i,:),LH_AS_rec(i,:)]=AttacksizeExperiments_JESTER;

    save
    rmdir('R_Push', 's')
    rmdir('AV_Push', 's')
    rmdir('BW_Push', 's')
    rmdir('RBW_Nuke', 's')
    rmdir('LH_Nuke', 's')
    rmdir('SG_Push', 's')
    delete dMLP.mat;


end


end